Subject: bug#7716: 23.2.91; Pretest Windows binary doesn't support PNG images

From: "Drew Adams" <[email-masked]>
Date: Mon, 10 Jan 2011 20:41:26 -0800

> > PNG is still not displayed in the latest Windows build I have:
> > GNU Emacs 24.0.50.1 (i386-mingw-nt5.1.2600) of 2011-01-03 on 3249CTO
> 
> What's the value of the variable libpng-version,

libpng-version's value is 10403
Documentation:
Not documented as a variable.

> and what version of libpng do you have installed?

How would I know? Looking at Properties > Version for each of these files:

libpng3.dll,  File version: 1.2.37.3442
libpng12.dll, File version: 1.2.37.3442
libpng13.dll, File version: 1.2.8.1799

No idea what any of those mean, of if they have anything to do with the "version
of libpng" I have installed.  I picked up the libpng (and other) dlls from where
you and Sean said to pick them up (GNUWin32) after the date when you told me
where to get them.

PNG didn't work then, and it still doesn't work now.

> These two need to match; see README.W32
> in the distro, under "Image libraries".

There is no "Image libraries" in README.W32.
There is a heading "Image support", with this text about PNG:

      PNG: requires the PNG reference library 1.4 or later, which will
      be named libpng14.dll or libpng14-14.dll.  LibPNG requires zlib,
      which should come from the same source as you got libpng.
      Starting with Emacs 23.3, the precompiled Emacs binaries are
      built with libpng 1.4.x and later, and are incompatible with
      earlier versions of libpng DLLs.  So if you have libpng 1.2.x,
      the PNG support will not work, and you will have to download
      newer versions.

Where does that leave us?  The only LibPng setup file I see at GNUWin32 is
1.2.37: http://gnuwin32.sourceforge.net/packages/libpng.htm
(libpng-1.2.37-setup.exe).

I also installed (the latest) ImageMagick more recently, because Tassilo Horn
suggested it would enable me to see Windows *.ico images. But it does not. He
has since guessed that Emacs itself needs to have been built with ImageMagick
present in order for it to help with .ico files.